import Request from '../common/request.js';
let request = new Request().http
 
 export function getIntegralGoodsList(data) {
 	 return request('/app/integral/getIntegralGoodsList',data,'GET');
 }
 export function getIntegralGoodsById(data) {
 	 return request('/app/integral/getIntegralGoodsById',data,'GET');
 }
 export function getUserIntegralLogsList(data) {
 	 return request('/app/integral/getUserIntegralLogsList',data,'GET');
 }
 export function getIntegralOrderList(data) {
 	 return request('/app/integral/getIntegralOrderList',data,'GET');
 }
 export function getIntegralOrderById(data) {
 	 return request('/app/integral/getIntegralOrderById',data,'GET');
 }
 
 export function createOrder(data) {
  	return request('/app/integral/createOrder',data,'POST','application/json;charset=UTF-8');
 }
 
 export function getUserSign() {
 	 return request('/app/integral/getUserSign',null,'GET');
 }
 
 export function doSign(data) {
 	 return request('/app/integral/sign',data,'POST','application/json;charset=UTF-8');
 }
 
 
  
  
 
 
 
 
 
  
  
  